Module jdk.compiler
Package com.sun.source.tree

# Interface ParenthesizedPatternTree

All Superinterfaces:
  `CaseLabelTreePREVIEW`, `PatternTreePREVIEW`, `Tree`

public interface ParenthesizedPatternTree extends PatternTreePREVIEW
`ParenthesizedPatternTree` is a reflective preview API of the Java platform.
Preview features may be removed in a future release, or upgraded to permanent features of the Java platform.
A tree node for a parenthesized pattern. For example:

       ( pattern )

See Java Language Specification:
  14.30.1 Kinds of Patterns
Since:
  17

## Nested Class Summary

## Nested classes/interfaces declared in interface com.sun.source.tree.Tree

`Tree.Kind`

## Method Summary

Modifier and Type
Method
Description
`PatternTreePREVIEW`
`getPattern()`
Returns the pattern within the parentheses.

### Methods declared in interface com.sun.source.tree.Tree

`accept, getKind`

## Method Details

### getPattern

PatternTreePREVIEW getPattern()
Returns the pattern within the parentheses.

Returns:
  the pattern